from setuptools import setup, find_packages

setup(
    name='pytdapi',  # Tên thư viện của bạn
    version='0.1',  # Phiên bản của thư viện
    description='A library for downloading TikTok videos using TikTok API - Minh Phú Coder',  # Mô tả thư viện
    long_description=open('README.md').read(),  # Nội dung mô tả chi tiết từ tệp README.md
    long_description_content_type='text/markdown',
    author='Minh Phú Coder',  # Tác giả
    author_email='zbllf2lollpll@gmail.com',  # Email liên hệ
    url='https://github.com/MinhPhuCoder/pytdapi',  # URL đến kho GitHub hoặc website (nếu có)
    packages=find_packages(),  # Tìm và đóng gói các module tự động
    install_requires=[  # Các thư viện yêu cầu
        'requests',
        'tqdm'
    ],
    classifiers=[  # Thông tin phân loại gói
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',  # Phiên bản Python yêu cầu
)
